# Class: TrustPacket

## TrustPacket()

Implementation of the Trust Packet (Tag 12)

RFC4880 5.10: The Trust packet is used only within keyrings and is not normally exported. Trust packets contain data that record the user's specifications of which key holders are trustworthy introducers, along with other information that implementing software uses for trust information. The format of Trust packets is defined by a given implementation.

Trust packets SHOULD NOT be emitted to output streams that are transferred to other users, and they SHOULD be ignored on any input other than local keyring files.

## Constructor

#### new TrustPacket()

Source:
  - packet/trust.js, line 19

### Methods

#### read()

Parsing function for a trust packet (tag 12). Currently not implemented as we ignore trust packets

Source:
  - packet/trust.js, line 28